Open SCAP Library

Functions
oval_probe_handler.c File Reference

OVAL probe handler API implementation. More...

`#include "common/alloc.h"`
`#include "common/bfind.h"`
`#include "common/assume.h"`
`#include "_oval_probe_handler.h"`

## Functions
oval_phtbl_t * | oval_phtbl_new (void)
void | oval_phtbl_free (oval_phtbl_t *phtbl)
oval_ph_t * | oval_probe_handler_get (oval_phtbl_t *phtbl, oval_subtype_t type)
int | oval_probe_handler_set (oval_phtbl_t *phtbl, oval_subtype_t type, oval_probe_handler_t *handler, void *uptr)

## Detailed Description

OVAL probe handler API implementation.

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m